%{?nodejs_find_provides_and_requires}

# Allow dependency cycle with npm to be broken
%global enable_npm_tests 0

Name:           nodejs-init-package-json
Version:        1.9.3
Release:        3%{?dist}
Summary:        A node module to get your node module started

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/init-package-json
Source0:        https://registry.npmjs.org/init-package-json/-/init-package-json-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(glob)
%if 0%{?enable_npm_tests}
BuildRequires:  npm(npm)
%endif
BuildRequires:  npm(npm-package-arg)
BuildRequires:  npm(promzard) >= 0.3.0
BuildRequires:  npm(read)
BuildRequires:  npm(read-package-json)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(semver)
BuildRequires:  npm(validate-npm-package-license)
BuildRequires:  npm(validate-npm-package-name)

%description
A node module to get your node module started, by creating its package.json
metadata file.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/init-package-json
cp -pr package.json init-package-json.js default-input.js %{buildroot}%{nodejs_sitelib}/init-package-json
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%if !0%{?enable_npm_tests}
rm test/npm-defaults.js
%endif
%tap test/*.js


%files
%doc README.md example
%license LICENSE
%{nodejs_sitelib}/init-package-json


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 16 2016 Tom Hughes <tom@compton.nu> - 1.9.3-1
- Update to 1.9.3 upstream release
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.10-1
- new upstream release 0.0.10

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-6
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-5
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-3
- use HTTP in Source0 instead of HTTPS

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-2
- add missing build section
- improve description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.7-1
- initial package generated by npm2rpm
